<nav class="navbar navbar-expand-sm navbar-light bg-light">
    <div class="container">
        <a class="navbar-brand" [routerLink]="['']">edTechSpark</a>
        <button class="navbar-toggler d-lg-none" type="button" data-bs-toggle="collapse"
            data-bs-target="#collapsibleNavId" aria-controls="collapsibleNavId" aria-expanded="false"
            aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="collapsibleNavId">
            <ul class="navbar-nav me-auto mt-2 mt-lg-0">
                <li class="nav-item">
                    <a class="nav-link" [routerLink]="['/admin']">Dashboard</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" [routerLink]="['/admin/courses']">Courses</a>
                </li>
            </ul>
            <ul class="navbar-nav mt-2 mt-lg-0">
                <li class="nav-item">
                    <span class="nav-link">Welcome: {{user?.name}}</span>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="javascript:void(0)" (click)="Logout()">LogOut</a>
                </li>
            </ul>
        </div>
    </div>
</nav>